Introduktion

HP Driver Deployment Utility (DDU) gør det muligt for en administrator at oprette en driverinstallationspakke, så slutbrugerne kan udføre en uovervåget installation. Dette hjælpeprogram understøtter tilføjelse af printerdrivere til Windows-driverlageret og oprettelse af poster i printermappen. Driver Deployment Utility understøtter printerdrivere, der er udviklet til brug sammen med Microsofts Add Printer Wizard (Guiden Printerinstallation/Tilføj printer). Alle Microsofts certificeringsrestriktioner og advarsler er gældende.

Brugergrænsefladen er opdelt i 3 sektioner:

  1. "Pakkekilde" beskriver pakketypen og driverplaceringen, som du vil oprette
  2. "Mål for pakke" identificerer navnet på og placeringen af installationspakken
  3. "Opret pakke" starter processen for oprettelsen af pakken


Pakkekilde

Drivermappe

Anvend knappen "Vælg driver..." for at vælge en inf-fil i drivermappen ved at gennemse eller indtaste den. Du bør kun have en driverpakke i denne mappe, da dette program pakker alle filerne, som findes i denne mappe (og undermapper), i en eksekverbar fil. Hvis du har hentet en komprimeret driverpakke, skal du pakke den ud, inden du anvender dette program.

I nogle tilfælde kan du have flere inf-driverfiler i mappen (f.eks. en for farve- og en anden for mono-printere). Hvis det er tilfældet, vil du via en anden dialogboks kunne vælge hvilken driver, der skal pakkes.

Du vil også få en advarsel, hvis mappen fylder meget. Det er for at forhindre, at der pakkes mere end én driver. Du kan vælge at fortsætte på dette tidspunkt, hvis mappen indeholder alle ønskede eller nødvendige filer.

Når drivermappen er valgt, og der er fundet en driver, vises oplysningerne for mappen og driveren.

For drivere, der understøtter forudkonfiguration, vil afkrydsningsfeltet være aktivt. Hvis denne indstilling vælges, køres en konfigurationsdialogboks, efter knappen "Opret pakke" er valgt.

Installationtype

"Forudindlæsning af driveren" - er en indstilling, der kan vælges af brugere, som anvender en direkte forbindelse, som f.eks. et USB-kabel. En fremtidig plug and play-handling er nødvendig for at installere driveren, men alle filerne installeres af denne pakke til senere brug i Windows-driverlageret. Bemærk! Hvis der findes flere drivere for en enhed, vil operativsystemet bestemme hvilken driver, der er den bedst egnede til plug og play-handlingen, eller vise brugeren en anden dialogboks til valg af driver.

Som standard køres den eksekverbare fil med en statusdialog. Hvis du ønsker at deaktivere statusdialogen, skal du køre den eksekverbare fil med et "/q" i kommandolinjen. Hvis du gerne vil give slutbrugeren besked om at tilslutte printeren efter installationen, skal du vælge afkrydsningsfeltet "Vis en besked om at tilslutte printeren".

For printere, der anvender en netværksforbindelse, skal du vælge indstillingen "Opret netværksport og installer driveren". Knappen "Netværksindstillinger" bliver aktiv, og du skal klikke på den for at indtaste de påkrævede netværksindstillinger.

Netværksindstillinger

Du skal identificere netværksprinteren ved hjælp af en eller flere af følgende metoder. Dette program kommunikerer ikke med enheden med henblik på at fastslå, om indstillingerne er gyldige, men det kontrollerer dog syntaksen. (For at give mulighed for at genfinde enheden, skal du sørge for at angive hardwareadressen.)

IP-adresse:

Indtast printerens IPv4- eller IPv6-adresse

Hardwareadresse:

Indtast hardwareadressen for printeren

Værtsnavn:

Indtast værtsnavnet for printeren

Der findes yderligere følgende netværksindstillinger. Du kan acceptere de foruddefinerede standardværdier eller ændre dem, du ønsker.

Portnavn:

Dette er navnet på netværksporten, der oprettes. Hvis navnet allerede eksisterer, tilføjes et ciffer for at gøre det entydigt.

Printernavn:

Dette er printernavnet, som står i printermappen. Hvis navnet allerede eksisterer, tilføjes et ciffer for at gøre det entydigt.

Angiv denne printer som standardprinter:

Ja - gør denne printer til standardprinter, når der udskrives fra andre programmer.

Nej - beholder den aktuelle standard, medmindre dette er den eneste installerede printer.

Del denne printer:

Ja - gør at andre kan anvende denne printer.

Sharenavn:

Sharenavn for denne printer. Kun aktivt hvis "Del denne printer" er Ja. Hvis navnet allerede eksisterer, tilføjes et ciffer for at gøre det entydigt.


Mål for pakke

Vælg knappen "Gem som..." for at indtaste navnet og placeringen for output-pakken. Programmet opretter pakken i temp-mappen og flytter den derefter til den endelige placering. Pakken vil bestå af to filer, som skal afleveres sammen: en .exe- og en .cab-fil.

En tilsvarende xml-beskrivelsesfil, der indeholder detaljer for pakken, kopieres også til den endelige placering. Xml-pakken er kun til orientering, den bruges ikke af DDU under udførelsen.


Opret pakke

Vælg knappen "Opret pakke", når du har indtastet alle ovenstående oplysninger. Denne knap vil være deaktiveret, indtil du har indtastet alle påkrævede oplysninger. Når den er valgt, aktiveres knappen "Annuller" og "Statuslinjen".

Hvis du vil stoppe oprettelsen af pakken, skal du vælge knappen "Annuller".

Den eksekverbare fil kører med en statusdialog og en brugermeddelelse til en direkte forbindelse til printeren, hvis der anmodes om det. Hvis der opstod en fejl under denne eksekvering, vises en dialogboks. Hvis du vil undertrykke en fejldialogboks, skal du vælge afkrydsningsfeltet "Undertryk alle fejlmeddelelser til slutbruger".


Yderligere bemærkninger:

Du kan lukke dette program ved hjælp af Windows-knappen Luk i øverste højre hjørne.


Understøttede OS'er

Microsoft Windows 7

Microsoft Windows 7 64-bit-udgave

Microsoft Windows Server 2008 R2 64-bit-udgave

Microsoft Windows 8

Microsoft Windows 8 64-bit-udgave

Microsoft Windows Server 2012 64-bit-udgave

Microsoft Windows Server 2012 R2 64-bit-udgave

Microsoft Windows 8.1

Microsoft Windows 8.1 64-bit-udgave

Microsoft Windows Server 2016 64-bit udgave

Microsoft Windows 10

Microsoft Windows 10 64-bit udgave

Microsoft Windows Server 2019 64-bit udgave


Indstillinger for kommandolinje

Slutbrugerpakken kan ændres ved at tilføje omskiftere i kommandolinjen. Omskiftere i kommandolinjen kan kombineres, hvis de adskilles af mellemrum. Der vises en fejlmeddelelse, hvis kommandolinjen indeholder en fejl, som f.eks. et ugyldigt tegn eller en ukorrekt formatering. Ukorrekte omskiftere i kommandolinjen ignoreres. Følgende kommandolinjebeskrivelse er også tilgængelig (på engelsk) ved at køre slutbrugerpakken med et "/?".

Forudindlæsningspakker understøtter følgende kommandolinjeindstillinger:

/? vis kommandolinjeoplysninger (kun engelsk)

/q undertryk statuslinje

/p bed bruger om at tilslutte printeren

/s undertryk fejlmeddelelserne til slutbruger

Netværksprinterpakker understøtter følgende kommandolinjeindstillinger:

/? vis kommandolinjeoplysninger (kun engelsk)

/q undertryk statuslinje

/s undertryk fejlmeddelelserne til slutbruger

/ip <ip address> bruger den angivne IP-adresse til at identificere printeren, f.eks. /ip 120.25.5.56

/hw <hardware address> bruger den angivne hardwareadresse til at identificere printeren, f.eks. /hw 0001E6299128

/hn <hostname> bruger det angivne værtsnavn til at identificere printeren, f.eks. /hn Mitværtsnavn

Værtsnavnet må ikke være længere end 255 tegn og må kun indeholde følgende tegn: A-Z, a-z, 0-9 og bindestregen (-).

/pn <portname> bruger det angivne navn som portnavnet, f.eks. /pn HPPort

Portnavnet må ikke indeholde mellemrum og må ikke være længere end 128 tegn.

/n ”<printername>” bruger det angivne navn som navnet på printeren, f.eks. /n "HP LaserJet 8150"

Printernavnet skal være omgivet af anførselstegn, det må ikke være længere end 40 tegn og må ikke indeholde nogen af følgende specialtegn: ! # ,

/d angiv denne printer som standardprinter

/sn ”<sharename>” aktiverer deling og bruger det angivne navn som delingsnavnet for printeren, f.eks. /sn ”Min delte HP LaserJet 8150”

Delingsnavnet skal være omgivet af anførselstegn, det må ikke være længere end 80 tegn og må ikke indeholde nogen af følgende specialtegn: / \ : ; “ ? * + = < > [ ]

© Copyright 2019 HP Development Company, L.P.